# THIS FILE IS GENERATED FROM Dockerfile DO NOT EDIT
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202105242221.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202105242221.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4b7e3f OS_GIT_VERSION=4.7.0-202105242221.p0-c4b7e3f SOURCE_DATE_EPOCH=1621661543 SOURCE_GIT_COMMIT=c4b7e3f5118d62fc3aaaa1fed5eb9ba0d12792de SOURCE_GIT_TAG=unreleased-master-687-gc4b7e3f5 SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
WORKDIR /go/src/github.com/openshift/machine-config-operator
COPY . .
# FIXME once we can depend on a new enough host that supports globs for COPY,
# just use that.  For now we work around this by copying a tarball.
RUN make install DESTDIR=./instroot && tar -C instroot -cf instroot.tar .

FROM openshift/ose-base:v4.7.0-202105210300.p0
ENV __doozer=update BUILD_RELEASE=202105242221.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202105242221.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4b7e3f OS_GIT_VERSION=4.7.0-202105242221.p0-c4b7e3f SOURCE_DATE_EPOCH=1621661543 SOURCE_GIT_COMMIT=c4b7e3f5118d62fc3aaaa1fed5eb9ba0d12792de SOURCE_GIT_TAG=unreleased-master-687-gc4b7e3f5 SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator 
COPY --from=builder /go/src/github.com/openshift/machine-config-operator/instroot.tar /tmp/instroot.tar
RUN cd / && tar xf /tmp/instroot.tar && rm -f /tmp/instroot.tar
COPY install /manifests
RUN if ! rpm -q util-linux; then yum install -y util-linux && yum clean all && rm -rf /var/cache/yum/*; fi
COPY templates /etc/mcc/templates
ENTRYPOINT ["/usr/bin/machine-config-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-machine-config-operator" \
        com.redhat.component="ose-machine-config-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Machine Config Operator" \
        release="202105242221.p0" \
        io.openshift.build.commit.id="c4b7e3f5118d62fc3aaaa1fed5eb9ba0d12792de" \
        io.openshift.build.source-location="https://github.com/openshift/machine-config-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/machine-config-operator/commit/c4b7e3f5118d62fc3aaaa1fed5eb9ba0d12792de" \
        version="v4.7.0"

